<?php
/*

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce
  
  Copyright (c) 2009 George Nevis

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ALL_PRODUCTS);

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_ALL_PRODUCTS));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_specials.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="main">
<?php
  $categories_name = '';
  $all_products_query = tep_db_query("select c.categories_id, c.categories_name, p.products_id, p.products_model, p.products_image, p.products_tax_class_id, p.products_price, pd.products_name, pd.products_description, m.manufacturers_id, m.manufacturers_name from " . TABLE_PRODUCTS . " p left join . " . TABLE_MANUFACTURERS . " m on m.manufacturers_id = p.manufacturers_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_CATEGORIES_DESCRIPTION . " c, " . TABLE_PRODUCTS_TO_CATEGORIES . " pc where p.products_id = pd.products_id and p.products_id = pc.products_id and p.products_status = 1 and pc.categories_id = c.categories_id AND c.language_id = '" . (int)$languages_id . "' and pd.language_id = '" . (int)$languages_id . "'" . " order by c.categories_name, pd.products_name asc");
	while ($all_products = tep_db_fetch_array($all_products_query)) {
	  if($categories_name != $all_products['categories_name']) {
?>
          <table border="0" width="100%" cellspacing="0" cellpadding="0">
    	      <tr>
  	          <td class="main"><b><a href="<?php echo tep_href_link(FILENAME_DEFAULT, 'cPath=' . $all_products['categories_id']); ?>"><?php echo $all_products['categories_name']; ?></b></a></td>
  		      </tr>
  		    </table>
  	      <table border="0" width="100%" cellspacing="0" cellpadding="0">
  		      <tr class="productListing-heading">
  		        <td class="smallText" width="15%"><?php echo TABLE_HEADING_MODEL; ?></td>
  			      <td class="smallText" width="40%"><?php echo TABLE_HEADING_PRODUCT; ?></td>
  			      <td class="smallText" width="35%"><?php echo TABLE_HEADING_MANUFACTURER; ?></td>
  			      <td class="smallText" width="10%"><?php echo TABLE_HEADING_PRICE; ?></td>
  		      </tr>
  		    </table>  
<?php
    }
?>
  		    <table border="0" width="100%" cellspacing="0" cellpadding="0">  
  		      <tr>
    	  	    <td class="smallText" width="15%"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $all_products['products_id']) . '">' . $all_products['products_model'] . '</a>'; ?></td>
  				    <td class="smallText" width="40%"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $all_products['products_id']) . '">' . $all_products['products_name'] . '</a>'; ?></td>
  				    <td class="smallText" width="35%"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $all_products['manufacturers_id']) . '">' . $all_products['manufacturers_name'] . '</a>'; ?></td>
  				    <td class="smallText" width="10%"><?php echo $currencies->display_price($all_products['products_price'], tep_get_tax_rate($all_products['products_tax_class_id'])); ?></td>
  			    </tr>
  			  </table>  
<?php
    $categories_name = $all_products['categories_name'];
  }
?>
		    </td>
		  </tr>        
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
